/*** Sample Program gescroll.c
	Sample program demonstrating scrolling.
	
	This sample uses both the Waitfor and 
	normal functions.
***/


//#define	GE_USE_PORTZ0
#define	GE_USE_PORTZ1		// Serial port to use
//#define	GE_USE_PORTA
//#define	GE_USE_PORTB


#use	gesuprt.lib				// graphics engine support library
#use	vdriver.lib				// virtual library

#define	PORT	GE_PORTZ1

main ()
{
	VdInit();				 // initialize virtual library
	GEInit(PORT,9600);	// initialize gesuprt.lib library
	GEClearScreen(PORT);	// Clear display
	
	GESetTextDir(PORT,0);	// Set text direction
	GESetFont(PORT,1);		// set font
	GEPutText(PORT,"SCROLLING",10,10);	// display text
	GEPutText(PORT,"-REGION-",10,20);	// display text
	GEPutRectangle(PORT,0,5,5,155,230);	// draw rectangle
	GEPutText(PORT,"NON-SCROLLING REGION",190,120);// display text
	GEPutRectangle(PORT,0,165,5,315,230);// draw rectangle
	for (;;)
	{
		costate
		{
			waitfor(GEScrollRegionWF(PORT,2,80,10,10,150,225));	// Scroll region down
			waitfor(DelayMs(500));											// delay .5 seconds
			waitfor(GEScrollRegionWF(PORT,3,80,10,10,150,225));	// Scroll region right
			waitfor(DelayMs(500));											// delay .5 seconds
			waitfor(GEScrollRegionWF(PORT,1,80,10,10,150,225));	// Scroll region up
			waitfor(DelayMs(500));											// delay .5 seconds
			waitfor(GEScrollRegionWF(PORT,4,80,10,10,150,225));	// scroll region left
			waitfor(DelayMs(500));											// delay .5 seconds
		}
	}	
}